### Method

# Devhelp Notebook open_new_tab

since: 3.30

#### Declaration [src]

    void
    dh_notebook_open_new_tab (
      DhNotebook* notebook,
      const gchar* uri,
      gboolean switch_focus
    )

#### Description [src]

Creates a new `DhTab` and `DhTabLabel` and appends them to the `GtkNotebook`.

The `DhWebView` will have the same `DhProfile` as `notebook`.

Available since: 3.30

#### Parameters

`uri`

  Type: `const gchar*`

  The URI to open, or `NULL` for a blank page.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`switch_focus`

  Type: `gboolean`

  Whether to call `gtk_notebook_set_current_page()` on the new tab.